package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingVersionCommitRequest struct {
	/*
	   版本号提交参数     */
	Param *domain.AlibabaWdkMarketingVersionCommitSeasonVersionCommitParam `json:"param" required:"true" `
}

func (s *AlibabaWdkMarketingVersionCommitRequest) SetParam(v domain.AlibabaWdkMarketingVersionCommitSeasonVersionCommitParam) *AlibabaWdkMarketingVersionCommitRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkMarketingVersionCommitRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingVersionCommitRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
